Package org.drinkless.tdlib

# Class TdApi.VideoMessageAdvertisement

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.VideoMessageAdvertisement

Enclosing class:
  `TdApi`

public static class TdApi.VideoMessageAdvertisement extends TdApi.Object
Describes an advertisement to be shown while a video from a message is watched.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `additionalInfo`
  If non-empty, additional information about the sponsored message to be shown along with the message.
  `boolean`
  `canBeReported`
  True, if the advertisement can be reported to Telegram moderators through reportVideoMessageAdvertisement.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `maxDisplayDuration`
  The maximum amount of time the advertisement must be displayed before it must be automatically hidden, in seconds.
  `int`
  `minDisplayDuration`
  The minimum amount of time the advertisement must be displayed before it can be hidden by the user, in seconds.
  `TdApi.AdvertisementSponsor`
  `sponsor`
  Information about the sponsor of the advertisement.
  `String`
  `text`
  Text of the advertisement.
  `String`
  `title`
  Title of the sponsored message.
  `long`
  `uniqueId`
  Unique identifier of this result.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VideoMessageAdvertisement()`
  Describes an advertisement to be shown while a video from a message is watched.
  `VideoMessageAdvertisement(long uniqueId, String text, int minDisplayDuration, int maxDisplayDuration, boolean canBeReported, TdApi.AdvertisementSponsor sponsor, String title, String additionalInfo)`
  Describes an advertisement to be shown while a video from a message is watched.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### uniqueId

    public long uniqueId
    Unique identifier of this result.

  - ### text

    public String text
    Text of the advertisement.

  - ### minDisplayDuration

    public int minDisplayDuration
    The minimum amount of time the advertisement must be displayed before it can be hidden by the user, in seconds.

  - ### maxDisplayDuration

    public int maxDisplayDuration
    The maximum amount of time the advertisement must be displayed before it must be automatically hidden, in seconds.

  - ### canBeReported

    public boolean canBeReported
    True, if the advertisement can be reported to Telegram moderators through reportVideoMessageAdvertisement.

  - ### sponsor

    public TdApi.AdvertisementSponsor sponsor
    Information about the sponsor of the advertisement.

  - ### title

    public String title
    Title of the sponsored message.

  - ### additionalInfo

    public String additionalInfo
    If non-empty, additional information about the sponsored message to be shown along with the message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VideoMessageAdvertisement

    public VideoMessageAdvertisement()
    Describes an advertisement to be shown while a video from a message is watched.

  - ### VideoMessageAdvertisement

    public VideoMessageAdvertisement(long uniqueId, String text, int minDisplayDuration, int maxDisplayDuration, boolean canBeReported, TdApi.AdvertisementSponsor sponsor, String title, String additionalInfo)
    Describes an advertisement to be shown while a video from a message is watched.
    Parameters:
      `uniqueId` - Unique identifier of this result.
      `text` - Text of the advertisement.
      `minDisplayDuration` - The minimum amount of time the advertisement must be displayed before it can be hidden by the user, in seconds.
      `maxDisplayDuration` - The maximum amount of time the advertisement must be displayed before it must be automatically hidden, in seconds.
      `canBeReported` - True, if the advertisement can be reported to Telegram moderators through reportVideoMessageAdvertisement.
      `sponsor` - Information about the sponsor of the advertisement.
      `title` - Title of the sponsored message.
      `additionalInfo` - If non-empty, additional information about the sponsored message to be shown along with the message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR